Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 16/09/2021 trong tất cả các lĩnh vực

  1. 2 điểm
    (setq ss (ssget '((0 . "LWPOLYLINE")))) (setq ss (ACET-SS-TO-LIST ss)) (if (< (length ss) 2) (exit)) (setq pl1 (car ss) pl2 (cadr ss)) (setq ls1 (ACET-GEOM-PLINE-POINT-LIST pl1 0) ls2 (ACET-GEOM-PLINE-POINT-LIST pl2 0) pl1s (car ls1) pl1e (last ls1) pl2s (car ls2) pl2e (last ls2)) (setq p3 (if (< (distance pl1s pl2s) (distance pl1e pl2s)) pl1s pl1e) ) (setq p4 (if (< (distance pl2s pl1s) (distance pl2e pl1s)) pl2s pl2e) ) (setq line1 (entmakex (list (cons 0 "line") (cons 10 p3) (cons 11 p4)))) (command "pedit" pl1 "join" line1 pl2 "" "")
  2. 2 điểm
    Em cũng chẳng biết nói sao nữa. Em cũng tham gia diễn đàn từ lâu, từ ngày mới đi học. Ngày đó, khi mới dùng CAD, em cũng hay vào hỏi linh tinh, nhờ cái nọ, cái kia. Hồi đó các anh trên diễn đàn rất nhiệt tình, giúp đỡ rất vô tư theo kiểu lấy đó làm niềm vui. Em cũng bắt đầu học viết lisp nhưng vì nhu cầu công việc không cần nhiều nên bỏ dở. Giờ chỉ thỉnh thoảng vào hỏi khi cần. Em công nhận là em rất bất lịch sự khi không trả lời cmt của anh LuytBui. Nhưng không phải em không biết quý trọng thời gian hay công sức của người khác. Hiện tại em đang dùng khá nhiều phần mềm hoặc công cụ bản quyền dù có rất nhiều lựa chọn free hay crack. Có lẽ tại em thấy không quen vì giờ diễn đàn hình như cái gì cũng quy ra... cơm gạo. Có thể anh thấy... buồn cười, nhưng thực sự là em cảm thấy thế. Có gì sai mong anh chỉ bảo thêm! PS: Em cũng định ib anh quocmanh04tt vì chưa hiểu ý anh sao lại đăng đoạn clip lên mà không nói gì thêm. Nhưng anh nói thế này thì ib cũng hơi... ngượng.
  3. 1 điểm
    Diễn đàn CadViet hình như đó là sân chơi của Lisp thì phải, có lẽ đúng thật! -_- .Anh em vô đây đa số là yêu cầu Lisp chứ VBA thì rất ít.Vì vậy mình mạo muội thành lập cái chủ đề này mong rằng sẽ khuấy đảo được những anh em có lòng đam mê với VBA và đặc biệt là VBA cho Autocad. Những anh em nào mới học VBA hoặc đã có kiến thức về nó hãy mạnh dạn trao đổi để anh em cùng học hỏi nhé! Chúc Topic VBA cho Cad ngày càng phát triển. Chúc mọi người luôn vui vẻ!
  4. 1 điểm
    Các bạn có thể vào trang youtube này để download nhé, vị trí ở phần mô tả video
  5. 1 điểm
    Dùng để gióng vuông góc vào 1 đường thẳng giongline.lsp
  6. 1 điểm
  7. 1 điểm
  8. 1 điểm
    Lisp này không viết theo kiểu ssget được đâu (hoặc nếu được cũng xét điều kiện rất khổ). Cách đơn giản để không vơ đũa cả nắm là pick từng line/pline.
  9. 1 điểm
  10. 1 điểm
    Tôi bổ sung thêm 2 nguyên nhân : - do đã có các lisp tương tự trên diễn đàn này. - do người yêu cầu viết ko rõ ràng, cứ phải chạy theo "xin" số liệu, có t/hợp y/cầu thay đổi hoàn toàn so với trước đó. (cứ nhắc đi nhắc lại bài "Viết yêu cầu và trả lời như thế nào?" cũng chán)
  11. 1 điểm
    Chắc bạn không biết hiện nay đã có app dịch ngược vlx sang lsp? Cho nên nhiều khi chỉ bán được 1 bản rồi mất luôn code của mình. Cái app đó dù vô tình hay cố ý cũng đều nhằm mục đích diệt lispviet hết bạn ơi!
  12. 1 điểm
    Bạn Autotay nói không sai, còn nguyên nhân tại sao hồi trước khác bây giờ khác thì mỗi người chắc đều có cách lý giải khác nhau. - Đứng trên phương diện người biết lisp thì tôi cũng đồng ý với bạn là các lisper ngày trước chủ yếu là do đam mê code và muốn học hỏi để hoàn thiện bản thân nên có thể giúp đỡ vô vi lợi, còn bây giờ thì có lẽ họ đã đạt được mục đích đó nên họ không tiếp tục nữa chăng? Hoặc do cơm áo gạo tiền làm mất hết nhiệt tình của họ chăng? - Còn đứng trên phương diện người dùng thì tôi cũng hiểu là rất hiếm khi mình bỏ tiền ra mua app, ngay cả những app rẻ tiền trên Google play hay App store cũng vậy. Người dùng cad nói riêng lại càng ít muốn bỏ tiền mua lisp, cũng chẳng có gì là lạ cả. Nhiều khi tôi cũng nghĩ vui là thu nhập do bán lisp có lẽ không bằng với nghề lượm ve chai đâu bạn!! Còn nói về cái lisp của topic này, tôi nghĩ nếu dùng (command "PEDIT" ...) thì cũng chỉ vài dòng code, nhưng nếu không dùng command thì chắc phải vài trang code chứ không ít! Tôi không biết bác LuyTBui viết theo kiều nào chứ nếu viết kiểu sau mà giá "tô bún bò" (tính luôn tiền ship) thì quá rẻ, hề hề!!
  13. 1 điểm
    Bạn AutoTay.com cũng dễ thương và có đóng góp cho forum, ai lại nở vote (-) thế chứ.
  14. 1 điểm
    Đã cần cho công việc thì cũng để đi kiếm tiền thì bỏ phí ra cho nhanh, còn lên chờ đợi như này thì biết bao giờ. Với mình xin góp ý: Bạn biết làm thủ công mất nhiều tgian, thì người viết lisp họ cũng phải mất tgian viết chứ có biến ra được đâu. Họ đã có ý giúp đỡ chỉ “bát bún bò” mà không trả lời cmt là thiếu lịch sự.(nếu bạn không cmt mà ib trực tiếp rồi thì mình xin rút lại cmt này)
  15. 1 điểm
    Anh có thể cho em xin lisp đó được không ạ? Còn nối từ đâu thì em có nói ở trên rồi mà anh: "Đầu được nối là 2 đầu gần nhau của 2 Pline (Line) được chọn (nếu được thì là 2 đầu nằm trong vùng chọn hoặc đầu gần điểm pick chọn thì tốt ạ)."
  16. 1 điểm
    Của anh nghe thì rất dễ, nhưng thực ra lại hơi khó. Hiện nay có lisp nối tương tự như trên. Nhưng yêu cầu của bạn nói không rõ là nối từ đâu.
  17. 1 điểm
    Anh sẵn lòng mời em bát bún bò thì liên hệ Zalo 0963926272.
  18. 1 điểm
    Mình thấy các bạn yêu cầu thì đưa ra các trường hợp thật lý tưởng, xong có người viết rồi thì lại áp dụng vào thực tế toàn trên trời rơi xuống. Thật khổ cho người nào hỗ trợ. Bạn nên đưa file thực tế của bạn đang làm rồi nhờ người nào đó có thể hỗ trợ hoặc gửi họ ít phí họ hỗ trợ luôn
  19. 1 điểm
    Bạn thử xem được không nhé! Yêu cầu cài Cad full (có tool express) (defun C:00 (/ LTSG LTSLINE PNTMAX PNTMIN SSLINE) (defun *error* (msg) (if Olmode (setvar 'osmode Olmode) ) (if (not (member msg '("*BREAK,*CANCEL*,*EXIT*"))) (princ (strcat "\nError: " msg)) ) (princ) ) (setq Olmode (getvar "OSMODE")) (setvar "OSMODE" 0) (setvar "CMDECHO" 0) (setq ssLine (ssget (list (cons 0 "LINE,LWPOLYLINE,POLYLINE")))) (if ssLine (progn (setq LtsLine (acet-ss-to-list ssLine)) (setq LtsG (LM:IntersectionsinList LtsLine)) (if (= (length LtsG) 4) (progn (setq PntMin (list (apply 'min (mapcar 'car LtsG)) (apply 'min (mapcar 'cadr LtsG)))) (setq PntMax (list (apply 'max (mapcar 'car LtsG)) (apply 'max (mapcar 'cadr LtsG)))) (command "rectang" PntMin PntMax) (vla-put-color (vlax-ename->vla-object (entlast)) 1) ) ) ) ) (setvar "OSMODE" Olmode) (princ) ) (defun LM:Intersections (obj1 obj2 mode / l r) (setq l (vlax-invoke obj1 'intersectwith obj2 mode)) (repeat (/ (length l) 3) (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l) ) ) (reverse r) ) (defun LM:IntersectionsinList (lst / a l) (while (setq a (car lst)) (foreach b (setq lst (cdr lst)) (setq l (cons (LM:Intersections (vlax-ename->vla-object a) (vlax-ename->vla-object b) acextendnone ) l ) ) ) ) (apply 'append (reverse l)) )
  20. -1 điểm
    Bạn có thể cho mình xin lisp được ko.
  21. -1 điểm
    Có bác nào có lisp này không ạ. Có thể share hoặc bán cho em để em phục vụ công việc ạ. Cám ơn các bác nhiều ạ. Mail em là quyetutt@gmail.com, nếu bác nào có thì cho em xin ạ.
  22. -1 điểm
    Lisp hiện nay tọa độ khi xuất ra là trục Y nằm trên trục X nằm dưới có thể chỉnh lại để khi xuất ra trục X nằm trên trục Y nằm dưới theo lệnh của CAD là tuyệt, thanks all bạn nhiều
  23. -1 điểm
    Được rồi bác ạ. Nhưng cũng tương tự như trường hợp lisp bác @alisp, khi e add vào block att thì chỉ đo được cho 1 hacth, còn do text thì được. E đính kèm đoạn e chèn thêm bác xem sửa giúp với ạ new 1.lsp Drawing2.dwg
  24. -2 điểm
    em đã dùng thử. Muốn đưa Tex sau 2 dấu phẩu thì sửa ntn vậy? Cảm ơn| day rut nhua
  25. -2 điểm
    e cần khi quét n đối tượng thì sẽ tính diện tích hacth cho từng đối tượng bác ạ. Như bác sửa là tính tổng dt hacth thì đã có lisp e đính kèm rồi ạ. Bác xem lại giúp e. Sorry bác, e đang say nên trả lời trước, mai e xem có sửa đc theo code của bác để chạy cho từng đối tượng đc ko. Đươck thì e cám ơn bác sau ạ
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×